/*
 *	OSU Research Computing					Trillium
 *	Copyright 1991 The Ohio State University
 *	GDB/RBD
 *
 *	$Log:	debug.h,v $
 * Revision 6.1  96/11/23  21:54:48  nevin
 * Ohio Release
 * 
 * Revision 6.0  96/02/29  13:53:19  gdburns
 * Ohio Release
 * 
 * Revision 5.2  94/08/22  14:00:28  gdburns
 * Ohio Release
 * 
 * Revision 5.1  94/05/18  12:44:19  gdburns
 * Ohio Release
 * 
 * Revision 2.3  94/04/22  12:48:46  gdburns
 * Ohio Release
 * 
 * Revision 2.2  92/04/30  14:45:04  trillium
 * Ohio Release
 * 
 * Revision 2.1.1.1  92/01/11  12:06:53  gdburns
 * Add the VERBOSE macro.
 * 
 * Revision 2.1  91/03/20  11:34:45  gdburns
 * Ohio Release
 * 
 * Revision 2.0.1.3  90/12/05  12:25:28  gdburns
 * Remove parentheses around the db macro that somebody (see below) put in.
 * 
 * Revision 2.0.1.2  90/11/15  16:31:18  raja
 * Added DBUG macro to support run-time debug messages.
 * 
 * Revision 2.0.1.1  90/07/13  19:27:54  gdburns
 * Homo sapien
 * 
 * Revision 2.0  90/02/20  11:54:47  trillium
 * Homo erectus
 *
 *	Function:	- general debugging support
 */

#ifndef _DEBUG
#define _DEBUG

/*
 * support for compile-time debug mode
 */
#ifdef DEBUG

#include <stdio.h>
#define db(a)		printf a

#else

#define db(a)

#endif

/*
 * support for run-time debug mode
 */
#define DBUG		if (fl_debug) printf
#define VERBOSE		if (fl_verbose) printf

#endif
